Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2693923004: Mus Demo: Extract code specific to internal mode into a separate class (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by fwang
Modified:
3 months, 1 week ago
CC:
chromium-reviews, rjkroege, kalyank, sadrul, sky
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Mus Demo: Extract code specific to internal mode into a separate class This CL extracts code from MusDemo into a derived class MusDemoInternal demonstrating internal mode. In a follow-up CL, another derived class MusDemoExternal will demonstrate external mode and will be used for non-ChromeOS Ozone builds. Some helper functions are added to try and have consistency between internal/external implementations. BUG=666958 R=kylechar@chromium.org Review-Url: https://codereview.chromium.org/2693923004 Cr-Commit-Position: refs/heads/master@{#451472} Committed: https://chromium.googlesource.com/chromium/src/+/88bda6e478572197c7c1dcf6bc6fb0b7b3f1e586

Patch Set 1 #

Total comments: 16

Patch Set 2 : Address review comments and more refactoring #

Total comments: 4

Patch Set 3 : Fix wrong namespace comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+207 lines, -125 lines) Patch
M services/ui/demo/BUILD.gn View 1 1 chunk +2 lines, -0 lines 0 comments Download
D services/ui/demo/main.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M services/ui/demo/mus_demo.h View 1 2 4 chunks +12 lines, -40 lines 0 comments Download
M services/ui/demo/mus_demo.cc View 1 2 6 chunks +18 lines, -83 lines 0 comments Download
A services/ui/demo/mus_demo_internal.h View 1 2 1 chunk +66 lines, -0 lines 0 comments Download
A services/ui/demo/mus_demo_internal.cc View 1 2 1 chunk +107 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 36 (18 generated)
fwang
3 months, 1 week ago (2017-02-14 16:25:48 UTC) #4
fwang
PTAL
3 months, 1 week ago (2017-02-14 16:26:05 UTC) #5
tonikitoo
most of the CL l g t m (informally). A piece that I am unsure ...
3 months, 1 week ago (2017-02-14 17:00:00 UTC) #7
fwang
https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/mus_demo_unittests.cc File services/ui/demo/mus_demo_unittests.cc (right): https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/mus_demo_unittests.cc#newcode42 services/ui/demo/mus_demo_unittests.cc:42: TEST_F(MusDemoTest, CheckMusDemoDraws) { Probably we want to rename the ...
3 months, 1 week ago (2017-02-14 17:26:05 UTC) #10
fwang
3 months, 1 week ago (2017-02-14 17:27:53 UTC) #12
kylechar (OOO until 5-29)
https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn File services/ui/demo/BUILD.gn (right): https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn#newcode38 services/ui/demo/BUILD.gn:38: service("mus_demo_internal") { I'm not a big fan of these ...
3 months, 1 week ago (2017-02-14 18:40:11 UTC) #13
tonikitoo
On 2017/02/14 18:40:11, kylechar wrote: > https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn > File services/ui/demo/BUILD.gn (right): > > https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn#newcode38 > ...
3 months, 1 week ago (2017-02-14 18:46:32 UTC) #14
tonikitoo
https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/mus_demo.h File services/ui/demo/mus_demo.h (right): https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/mus_demo.h#newcode47 services/ui/demo/mus_demo.h:47: public aura::WindowTreeClientDelegate { so, the resulting MusDemo class still ...
3 months, 1 week ago (2017-02-14 20:00:44 UTC) #15
fwang
@kylechar @tonikitoo: Thanks for the review, I will give another try tomorrow. https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn File services/ui/demo/BUILD.gn ...
3 months, 1 week ago (2017-02-14 20:47:28 UTC) #16
fwang
https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn File services/ui/demo/BUILD.gn (right): https://codereview.chromium.org/2693923004/diff/1/services/ui/demo/BUILD.gn#newcode38 services/ui/demo/BUILD.gn:38: service("mus_demo_internal") { On 2017/02/14 18:40:11, kylechar wrote: > I'm ...
3 months, 1 week ago (2017-02-15 13:49:26 UTC) #17
tonikitoo
informal l g t m (feel free to change int to unsigned, for the size, ...
3 months, 1 week ago (2017-02-15 15:31:22 UTC) #24
fwang
https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo_internal.cc File services/ui/demo/mus_demo_internal.cc (right): https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo_internal.cc#newcode18 services/ui/demo/mus_demo_internal.cc:18: const int kSquareSize = 300; per Antonio's comment, I'll ...
3 months, 1 week ago (2017-02-15 17:10:02 UTC) #25
fwang
https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo_internal.cc File services/ui/demo/mus_demo_internal.cc (right): https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo_internal.cc#newcode18 services/ui/demo/mus_demo_internal.cc:18: const int kSquareSize = 300; On 2017/02/15 17:10:02, fwang ...
3 months, 1 week ago (2017-02-16 07:48:31 UTC) #27
kylechar (OOO until 5-29)
https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo.h File services/ui/demo/mus_demo.h (right): https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo.h#newcode85 services/ui/demo/mus_demo.h:85: } // namespace aura Can you fix the end ...
3 months, 1 week ago (2017-02-16 16:27:38 UTC) #29
fwang
https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo.h File services/ui/demo/mus_demo.h (right): https://codereview.chromium.org/2693923004/diff/20001/services/ui/demo/mus_demo.h#newcode85 services/ui/demo/mus_demo.h:85: } // namespace aura On 2017/02/16 16:27:38, kylechar wrote: ...
3 months, 1 week ago (2017-02-17 06:46:33 UTC) #30
kylechar (OOO until 5-29)
lgtm
3 months, 1 week ago (2017-02-18 13:32:29 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2693923004/60001
3 months, 1 week ago (2017-02-18 15:43:20 UTC) #33
commit-bot: I haz the power
3 months, 1 week ago (2017-02-18 17:32:48 UTC) #36
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/88bda6e478572197c7c1dcf6bc6f...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06